\documentclass{beamer}
\usepackage[utf8]{inputenc}
\usepackage{graphicx}
\usepackage{xskak}%Sachovy balicek pre diagramy
\usepackage{multirow}
\usepackage{chessboard}

\author{Alexander Dračka}
\title{Reti opening: accepted, 2...dxc4}
\subtitle{Hypermodern chess opening}
\institute{\href{http://dracka.net}{dracka.net}}
\date{21.11.2022}

\mode<presentation>
{
	\usetheme{Frankfurt}
}

\begin{document}

\begin{frame}
	\titlepage 
\end{frame}

%Obsah prezentacie
\begin{frame}
	\frametitle{Content}
	\tableofcontents
\end{frame}

\begin{frame}
	\section{Sources}
	\frametitle{Sources}
	\begin{itemize}
		\item \href{https://en.wikipedia.org/wiki/Richard_R\%C3\%A9ti}{Richard Réti - wikipedia}
		\item \href{https://en.wikipedia.org/wiki/R\%C3\%A9ti_Opening}
{Réti opening - wikipedia}
		\item \href{https://old.chesstempo.com/game-database.html}{Chess Tempo as chess Database}
		\item \href{https://www.365chess.com/opening.php?m=5&n=155&ms=Nf3.d5.c4.dxc4&ns=1.85.60.155}{Database 365chess}
		\item \href{http://www.chesstree.net/}{Opening tree explorer}
		\item \href{https://stockfishchess.org/}{Stockfish}
	\end{itemize}
\end{frame}

\begin{frame}
	\frametitle{Set-Up}
	\setchessboard{smallboard, showmover=true}
	Hypermodern, dynamic and flexible opening. White 'sacrifices' a pawn for rapid development. It won't be easy for black to hold onto this extra pawn on c4. 
	\begin{description}
		\item[Notation]
		\newchessgame
		\mainline{1. Nf3 d5 2.c4 dxc4}
		\storegame{base_position}
		\item[The best move is e3]
		\chessboard[pgfstyle=straightmove, color=red, markmoves={e2-e3},pgfstyle=straightmove, color=black, markmoves={d1-a4}, pgfstyle=knightmove, markmoves={b1-a3}, coloremph, piececolor=blue, emphfields={c4} ]
	\end{description}
\end{frame}

\begin{frame}
	\frametitle{Popular moves}
	\begin{tabular}{ccc}	
		3. ...Nf6 & 3. ...Be6 & 3. ...c5 \\
		\chessboard[tinyboard, setfen=rnbqkb1r/ppp1pppp/5n2/8/2p5/4PN2/PP1P1PPP/RNBQKB1R w KQkq - 0 4, coloremph, piececolor=blue, emphfields={f6} ]
		& \chessboard[tinyboard, setfen=rn1qkbnr/ppp1pppp/4b3/8/2p5/4PN2/PP1P1PPP/RNBQKB1R w KQkq - 1 4, coloremph, piececolor=blue, emphfields={e6} ]
		& \chessboard[tinyboard, setfen=rnbqkbnr/pp2pppp/8/2p5/2p5/4PN2/PP1P1PPP/RNBQKB1R w KQkq - 0 4, coloremph, piececolor=blue, emphfields={c5} ]
	\end{tabular}
\end{frame}

\begin{frame}
	\section{Protecting extra pawn}
	In a case black wants to protect that exta pawn he can play: b5, Be6 or Qd5. Be6 is possibly the best (but still incorrect).\\
	The most common incorrect and natural move would be b5.
	\begin{description}
		\item[Notation]	
			\mainline{3.e3 b5}
		\item[4. a4!] \chessboard[color=red, pgfstyle=straightmove, markmoves={a2-a4}, coloremph, piececolor=blue, emphfields={b5} ]
	\end{description}
	
\end{frame}

\begin{frame}
White is trying to activate pieces and undermine b5 and thus c4 pawn. Most natural move for black would be Qb6/Bd7/Qd7 in order to protect b5 pawn.
	\begin{description}
		\item[Notation]		\mainline{4.a4 c6 5.axb5 cxb5 6.Nc3!}

		\chessboard[pgfstyle=straightmove, markmoves={c8-d7,d8-d7}, coloremph, piececolor=blue, emphfields={c3}, color=red, pgfstyle=straightmove, markmoves={b5-b4,d8-b6}]
	\end{description}
\end{frame}

\begin{frame}
	\frametitle{Stockfish 14 analysis}
	\begin{tabular}{ccc}
		7...d4 & 7...Bd7 8 Ne5 & 7...Qb6 \\
		+2.8 [Depth: 28] & +2.7 [Depth:28] & +1.9 [Depth:28]\\
		\chessboard[tinyboard, setfen=rnbqkbnr/p3pppp/8/8/1pp5/2N1PN2/1P1P1PPP/R1BQKB1R w KQkq - 0 7,pgfstyle=straightmove, color=red, markmoves={d1-a4}, color=black, markmoves={a4-e8, a4-b4}, coloremph, piececolor=blue, emphfields={b4} ]
		& \chessboard[tinyboard, setfen=rn1qkbnr/p2bpppp/8/1p2N3/2p5/2N1P3/1P1P1PPP/R1BQKB1R b KQkq - 3 7, pgfstyle=straightmove, color=red, markmoves={d1-f3, f3-a8, f3-f7}, coloremph, piececolor=blue, emphfields={d7} ]
		& \chessboard[tinyboard, setfen=rnb1kbnr/p3pppp/1q6/1p6/2p5/2N1PN2/1P1P1PPP/R1BQKB1R w KQkq - 2 7, pgfstyle=straightmove, markmoves={f3-d4,b2-b3},pgfstyle=circle,linewidth=0.1em, color=blue, markfields=b5, coloremph, piececolor=blue, emphfields={b6} ]
	\end{tabular}
\end{frame}

\begin{frame}
	\frametitle{3...Be6!}
The best Black move according Stockfish 14 in order to protect pawn.\\
	\newchessgame
	\mainline{1. Nf3 d5 2.c4 dxc4 3. e3 Be6! 4.Na3}
	\storegame{ideal_line}
	\chessboard[pgfstyle=knightmove, markmoves={a3-c4}, color=red, markmoves={g8-f6}, pgfstyle=straightmove, color=black, markmoves={f1-c4}, color=red, markmoves={e6-d5,c7-c5}, pgfstyle=circle, linewidth=0.1em, color=blue, markfields=c4, coloremph, piececolor=blue, emphfields={a3} ]
	\centering
\end{frame}

\begin{frame}
	\frametitle{"Main line": Continue of line 3.Be6}
Black should finally realized that he is not able to protect that extra pawn. White will mostly take with knight however taking with bishop is evenly playable. Only problem is that there won't be bishop pair for White.\\
	\begin{tabular}{cc}
		3. Na3 & \mainline{4...Nf6 5. Nxc4 Bxc4 6. Bxc4}\\
		\restoregame{ideal_line}\chessboard[smallboard, coloremph, piececolor=blue, emphfields={a3} ] 
		& \hidemoves{4...Nf6 5. Nxc4 Bxc4 6. Bxc4} \chessboard[smallboard, coloremph, piececolor=blue, emphfields={c4} ]
	\end{tabular}
\end{frame}

\begin{frame}
	\frametitle{Result}
Even if black will try to protect that extra pawn with ideal moves he will fail. At the end white has good position with two center pawn on d,e files, ready to castle. Slight advantage for white.
\begin{description}
	\item[+0.3 Depth:42]
	\hidemoves{6... e6}
	\chessboard[pgfstyle=straightmove, color=green, markmoves={e1-g1,d2-d4}, coloremph, piececolor=blue, emphfields={e6} ] 
\end{description}
\end{frame}

\begin{frame}
	\section{Returning extra pawn}
	\frametitle{Correct strategy for Black: return pawn and development }
	Black should simply return extra pawn and focus on natural development. Most common moves for black is by far Nf6 then e6/c5.
	\begin{tabular}{cc}
		\centering
		3. e3  & \restoregame{base_position} \mainline{3.e3 Nf6 4. Bxc4 e6 5.d4 c5} \\
		\restoregame{base_position}\hidemoves{3.e3} \chessboard[smallboard, pgfstyle=straightmove, markmoves={e7-e6,c7-c5}, pgfstyle=knightmove, color=red, markmoves={g8-f6}, coloremph, piececolor=blue, emphfields={e3} ]
		& \restoregame{base_position} \hidemoves{3.e3 Nf6 4. Bxc4 e6 5.d4 c5}\chessboard[smallboard, pgfstyle=straightmove, color=red, markmoves={e1-g1}, pgfstyle=knightmove, color=red, markmoves={b8-c6}, pgfstyle=straightmove, markmoves={a7-a6,d8-c7}, coloremph, piececolor=blue, emphfields={c5} ]
	\end{tabular}
\\Slight advantange for white: center pawns, ready to castle. +0.3 Depth:32
\end{frame}

\begin{frame}
	\frametitle{Lots of options}
From human perspective it seems logical to exchange pawns as black, however that would only help white position.\\
\begin{description}
\item[+0.5 Depth:32]\chessboard[setfen=rnbqkb1r/pp3ppp/4pn2/8/2BP4/5N2/PP3PPP/RNBQ1RK1 b kq - 0 7, pgfstyle=straightmove, markmoves={f8-e7,f8-d6, e8-g8, f1-e1}, pgfstyle=knightmove, color=red, markmoves={b8-c6,b1-c3}, coloremph, piececolor=blue, emphfields={d4} ]
\end{description}

\end{frame}

\begin{frame}
White not only recaptured that extra pawn but will have slight advantange even if black plays correctly in order to save that extra pawn. Black is somewhat undeveloped. \\
Generally players won't take the c4 pawn but rather develop other pieces or play d4 - advance variation.\\
There are lot of options for white. Normal development of pieces together with later exchange of his weak d pawn should bring interesting game where White can make use of his more active position (pieces in good squares, black somewhat undeveloped).
\end{frame}

\end{document}
